# Class GuiPointCloud

java.lang.Object
uk.ac.starlink.topcat.plot2.GuiPointCloud

public class GuiPointCloud extends Object
Collects a set of TableClouds together to provide a description of a collection of positions in a plot.

Since:
  24 Jan 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`GuiPointCloud(TableCloud[] tclouds, uk.ac.starlink.ttools.plot2.data.DataStore baseDataStore, BoundedRangeModel progModel)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Supplier<uk.ac.starlink.ttools.plot2.CoordSequence>`
`createDataPosSupplier(uk.ac.starlink.ttools.plot2.data.DataStore dataStore)`
Returns an iterable over the point cloud.
`GuiDataStore`
`createGuiDataStore()`
Returns a data store that can be used for iterating over this point cloud.
`TableCloud[]`
`getTableClouds()`
Returns the TableClouds aggregated by this point cloud.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GuiPointCloud

public GuiPointCloud(TableCloud[] tclouds, uk.ac.starlink.ttools.plot2.data.DataStore baseDataStore, BoundedRangeModel progModel)
Constructor.

Parameters:
  `tclouds` - per-table position collections
  `baseDataStore` - data store supplying the position data
  `progModel` - progress bar model; if non-null, iteration over the points will update it

## Method Details

### getTableClouds

public TableCloud[] getTableClouds()
Returns the TableClouds aggregated by this point cloud.

Returns:
  table cloud array

### createGuiDataStore

public GuiDataStore createGuiDataStore()
Returns a data store that can be used for iterating over this point cloud. This data store adds value to the supplied base data store: it checks for thread interruptions and reports progress as appropriaate.

Returns:
  data store

### createDataPosSupplier

public Supplier<uk.ac.starlink.ttools.plot2.CoordSequence> createDataPosSupplier(uk.ac.starlink.ttools.plot2.data.DataStore dataStore)
Returns an iterable over the point cloud.

Parameters:
  `dataStore` - data store
Returns:
  iterable over data positions